stringprep_strerror(3)

NAME
stringprep_strerror - return string describing stringprep error code

SYNOPSIS
#include <stringprep.h>

const char * stringprep_strerror(Stringprep_rc rc);

ARGUMENTS

Stringprep_rc rc
    a Stringprep_rc return code.

DESCRIPTION
Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

STRINGPREP_OK
Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes.

STRINGPREP_CONTAINS_UNASSIGNED
String contain unassigned Unicode code points, which is forbidden by the profile.

STRINGPREP_CONTAINS_PROHIBITED
String contain code points prohibited by the profile.

STRINGPREP_BIDI_BOTH_L_AND_RAL
String contain code points with conflicting bidirection category.

STRINGPREP_BIDI_LEADTRAIL_NOT_RAL
Leading and trailing character in string not of proper bidirectional category.

STRINGPREP_BIDI_CONTAINS_PROHIBITED
Contains prohibited code points detected by bidirectional code.

STRINGPREP_TOO_SMALL_BUFFER
Buffer handed to function was too small. This usually indicate a problem in the calling application.

STRINGPREP_PROFILE_ERROR
The stringprep profile was inconsistent. This usually indicate an internal error in the library.

STRINGPREP_FLAG_ERROR
The supplied flag conflicted with profile. This usually indicate a problem in the calling application.

STRINGPREP_UNKNOWN_PROFILE
The supplied profile name was not known to the library.

STRINGPREP_NFKC_FAILED
The Unicode NFKC operation failed. This usually indicate an internal error in the library.

STRINGPREP_MALLOC_ERROR
The malloc() was out of memory. This is usually a fatal error.

RETURN VALUE
Returns a pointer to a statically allocated string containing a description of the error with the return code rc.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.